---

- name: Bootstrap python 2.7 onto the machine
  hosts: all
  # Do not try to gather the facts since this will fail until Python 2.7 is installed
  gather_facts: no

  tasks:
  - name: Install Python 2.7
    raw: "[ -f /usr/bin/python ] || (apt update >/dev/null 2>&1  && apt -qq install -y python-minimal)"
    become_user: root
    become: yes
    register: out
    # do our best to claim 'changed' only is an installation occured. Does bot work very well yet!
    changed_when: not (out.stdout is search(" 0 newly installed,"))
